public static Entity createClone(Entity ent, Level world) {
	Entity _clone = null;
	if (world instanceof ServerLevel _level) {
		Entity entityToSpawn = ent.getType().spawn(_level, BlockPos.containing(ent.getX(), ent.getY(), ent.getZ()), EntitySpawnReason.MOB_SUMMONED);
		if (entityToSpawn != null) {
			entityToSpawn.setYRot(world.getRandom().nextFloat() * 360F);
			CompoundTag nbtdata = ent.saveWithoutId(new CompoundTag());
			entityToSpawn.load(nbtdata);
			_clone = entityToSpawn;
		}
	}
	return _clone;
}
