public static BlockPos getBlockBetweenEntities(Entity ent1, Entity ent2) {
	BlockPos pos = BlockPos.ZERO;
	if (ent1 instanceof LivingEntity _liveEnt && ent2 != null && !_liveEnt.hasLineOfSight(ent2)) {
		Vec3 v1 = new Vec3(ent1.getX(), ent1.getEyeY(), ent1.getZ());
		Vec3 v2 = new Vec3(ent2.getX(), ent2.getEyeY(), ent2.getZ());
		BlockHitResult hitres = ent1.level().clip(new ClipContext(v1, v2, ClipContext.Block.COLLIDER, ClipContext.Fluid.NONE, ent1));
		pos = hitres.getBlockPos();
	}
	return pos;
}